<!-- cloud storage-dashboard -->
<template>
  <v-col>
    <v-card :class="{ 'bg-card': selected }" @click="toggleSelection" class="rounded-t-lg rounded-b-lg"
      :min-width="cardWidth" min-height="150">
      <v-row class="d-flex mx-auto mt-n2">
        <v-col>

          <!-- btn-icon -->
          <v-row class="pa-2  ma-auto">
            <v-btn size="35" style="background-color: #E0E0E0;" :style="{ color: iconColor }" :prepend-icon="icon"></v-btn>
          </v-row>
          <!-- show service-name -->
          <v-row class="mt-n2">
            <v-card-text class="text-h6" :style="{ color: selected ? 'white' : '#000000' }">{{ serviceName
            }}</v-card-text>
          </v-row>
          <!-- show total-space -->
          <v-row class="mt-n6 my-auto">
            <v-card-text class="text-body-2" :style="{ color: selected ? 'white' : '#000000' }">{{ spaceUsed }} Gb / {{
              totalSpace }} Gb</v-card-text>
          </v-row>
        </v-col>

        <v-col cols="2" class="d-flex align-end justify-end mb-4 mx-2">
          <!-- show use-space persentage -->
          <div class="text-center">
            <v-progress-circular class="v-progress-circular" :rotate="360" size="50" width="5"
              :model-value="completionPercentage" :style="{ color: selected ? 'white' : '#1E88E5' }">
              <template v-slot:default>
                <span :style="{ color: selected ? 'white' : '#000000' }">{{ completionPercentage }} %</span>
              </template>
            </v-progress-circular>
          </div>
        </v-col>
      </v-row>
    </v-card>
  </v-col>
</template>
<script>

export default {
  data() {
    return {
      interval: -1,
      value: 50,
      selected: false,
    }
  },
  methods: {
    // methods-selete-card
    toggleSelection(selected) {
      this.selected = !this.selected;
      this.$emit('selected', this.selected);
      console.log('Card selected:', this.serviceName);
    },
   
  
  },
  props: {
    serviceName: String,
    spaceUsed: Number,
    totalSpace: Number,
    completionPercentage: Number,
    icon: String,
    iconColor: String,
    cardWidth: {
      type: [Number, String],
      default: 250,
    },

    bg: {
      type: Boolean,
      default: false,
    },
    
  },

}
</script>
 
<style scoped>
.bg-card {
  background-color: #1E88E5;
}
</style>